Go
package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.Room.GetUser(ctx, "<id>", "<value>")
if err != nil {
log.Fatal(err)
}
if res.GetRoomUserResponse != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.room.get_user(id="<id>", user_id="<value>")
if res.get_room_user_response is not None:
# handle response
passcurl --request GET \
--url https://livepeer.studio/api/room/{id}/user/{userId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://livepeer.studio/api/room/{id}/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d32ae9e6-c459-4931-9898-e86e2f5e7e16",
"joinedAt": 1687517025261,
"name": "name",
"isPublisher": true,
"metadata": "<string>"
}{
"errors": [
[
"id not provided",
"Account not found"
]
]
}Rooms
Get Room User
deprecated
Livepeer Studio API endpoint
GET
/
room
/
{id}
/
user
/
{userId}
Go
package main
import(
livepeergo "github.com/livepeer/livepeer-go"
"context"
"log"
)
func main() {
s := livepeergo.New(
livepeergo.WithSecurity("<YOUR_BEARER_TOKEN_HERE>"),
)
ctx := context.Background()
res, err := s.Room.GetUser(ctx, "<id>", "<value>")
if err != nil {
log.Fatal(err)
}
if res.GetRoomUserResponse != nil {
// handle response
}
}from livepeer import Livepeer
s = Livepeer(
api_key="<YOUR_BEARER_TOKEN_HERE>",
)
res = s.room.get_user(id="<id>", user_id="<value>")
if res.get_room_user_response is not None:
# handle response
passAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
The ID of the user
Example:
"d32ae9e6-c459-4931-9898-e86e2f5e7e16"
Timestamp (in milliseconds) at which the user joined
Example:
1687517025261
The display name of the user
Example:
"name"
Whether a user is allowed to publish audio/video tracks
Example:
true
User defined payload to store for the participant
Last modified on May 4, 2026
Was this page helpful?
⌘I